Subject: Re: linux-next: build failure after merge of the final tree

From: Andrew Morton <[email-masked]>
Date: Mon, 7 Apr 2014 11:26:54 -0700

On Mon, 7 Apr 2014 14:52:42 +1000 Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> After merging the final tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> fs/ocfs2/suballoc.c: In function 'ocfs2_block_group_set_bits':
> fs/ocfs2/suballoc.c:1357:2: error: implicit declaration of function 'trace_ocfs2_block_group_set_bits' [-Werror=implicit-function-declaration]
>   trace_ocfs2_block_group_set_bits(bit_off, num_bits);
>   ^
> 
> I have no idea how to track this down :-( The only patches affecting this
> code are now in Linus' tree.  I can only assume that some implicitly
> included header file is no longer included.  I have just left it broken
> for now.

I can't reproduce this with either mainline or linux-next.  Pulled half
an hour ago, powerpc allyesconfig.